## meandmyshadow 0.2-maemo1

=== debian/changelog ===
meandmyshadow (0.2-maemo1) stable; urgency=low

  * Fremantle version

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 12 Jan 2012 14:32:38 +0200
