=== debian/changelog ===
meandmyshadow (0.2-maemo2) stable; urgency=low

  * Play sfx when menu starts (workaround for bug: no music until sfx played)
  * alternative keys: e=up. d=use. k=left. l=right. f=record

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 13 Jan 2012 13:07:38 +0200
