=== debian/control ===
Source: meandmyshadow
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 4.1.16), cmake, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-gfx1.2-dev, libcurl4-openssl-dev | libcurl4-gnutls-dev, libarchive-dev, libvorbis-dev
Standards-Version: 3.8.1
Homepage: http://meandmyshadow.sourceforge.net/wiki/index.php/Main_Page

Package: meandmyshadow
Architecture: any
Depends: ${shlibs:Depends}
Description: Me and My Shadow is a puzzle/platform 
 It has an interesting concept and rather unique gameplay.
XSBC-Bugtracker: https://sourceforge.net/apps/trac/meandmyshadow/
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9wBDAwaH+qh7rYAAANISURBVGje7Vk7buMwEH2KU6VhunRiWjW6Ad0a
 AXKAAFKfwjeImt0iuUNUy4APYMBwG53ASKFWVJeSJ+A2OwRFU1k5gSUt4mns
 ISXiPc7fBs5ylrOc5UeIEEJ/R4/jWPvOvRgCPOdcCyEMiDiOj9KFEPr+/h6c
 8wMSl0OAf3p6AgAopcA518vlsqX//ezU0zQFACRJgtVqpaWUAZ0fDAWecw4A
 CMPw6HOapgEASCkBAC8vLyASJ7UAY8yAD8MQURR96ZwoilBVlSFB5w5CwAd+
 Pp9DKQWlFBhjYIzh7e2t975N4GKMjKSUwn6/BwDs93sopY7aHzwL+QgAQF3X
 qKrKS8Ddt11o0Czkk7qucXt7a/Ttdovdbofn52dkWYbtdnuwbwezTfjy1Ddt
 35gdBwSKJAxDvL6+du77LDQIAdvsTdMcpNHHx0cTsHaQMsYMITuNui508jqQ
 JImpAdZ67zNswPR9tVqZOhCc2t/d8k+3SynStpat05ovAw1WiftaR0qJsiwh
 hDDWkVK2bnpSadSWoijAOYcQorXWV4IxwXPOtes2TgYLJkVACKFtv06SxARl
 GIZomgbU/JEL2XFTlmUwGgEhhE7T1PRGrjw8PGC9Xnd2o1JKFEVxQMKuA/oL
 xHq/Q7e+WCw6Gz8qdFVVmZpBa1JKb0a68ADx6f8C/893lFKtQAWAPM9NjyOE
 QFVVBryU0hQwqh2fERhc8jxvZZs0TVt630w0CgG6dftGoyhCWZbefqcPgeAL
 wR18NyEopVpuYoM+lgABCI4EctQ7Ntgui5D/f9YTjeJCbsFyAREJHzki7it6
 l0MSkFIiy7JOIvSMvUZx4Q7zo1Zi6kZ9M4C97nauvko86EiplMJ6vUYURciy
 DJvNBsvl0nSkUkrzfbPZHDzrk8EJ3N3dHQw3i8UCeZ6jLEvM5/POZ0cn4HaX
 7rDjps4+3ejo80BHm9372UkR6JoN/gsCRVGAfoXuKlqTJEBg+7YOk7RAnuet
 35COscCoM3Ecx9ouXm4x65OFxs42WmutKZ26+qRdiHOu67rGbrcDYwxCCKOT
 ddw/+nwyG4vA9fX1r6urKyilcHNzg/f3d8xmMzN60trHx8fvScZAXzeZfBz8
 ePkD3ipKCFSK550AAAAASUVORK5CYII=
