=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif



build: build-stamp

build-stamp:
		dh_testdir

	#SDL-mixer
	mkdir lib
	mkdir lib/SDL
	cd libsdl-mixer1.2-1.2.6 ; ./configure \
  --enable-music-cmd=no\
  --enable-music-wave=no\
  --enable-music-libmikmod=no\
  --enable-music-mod=no\
  --enable-music-midi=no\
  --enable-music-timidity-midi=no\
  --enable-music-native-midi=no\
  --enable-music-native-midi-gpl=no\
  --enable-music-ogg=yes\
  --enable-music-mp3=no ; make ; cp effect_position.o \
  effects_internal.o  \
  load_ogg.o \
  mixer.o  \
  music_cmd.o  \
  wavestream.o \
  effect_stereoreverse.o \
  load_aiff.o \
  load_voc.o \
  music.o  \
  music_ogg.o  ../lib
	cp libsdl-mixer1.2-1.2.6/SDL_mixer.h lib/SDL



	mkdir build 
	cd build ; cmake ..; ../hack_for_maemo5_build.sh ; make

	touch build-stamp



clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf lib
	rm -rf build
	# --- end custom part for cleaning up

	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	#folder
	install -d ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/bin

	#files
	install ${CURDIR}/build/meandmyshadow ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/bin

	#data
	cp -r  ${CURDIR}/data ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/
	#wrong resolution for N900
	rm -rf ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/data/gfx/menu/help/
	rm ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/data/gfx/menu/addons.png
	rm ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/data/gfx/menu/levelselect.png
	rm ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/data/gfx/menu/menu.png
	rm ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/data/gfx/menu/options.png
	rm ${CURDIR}/debian/meandmyshadow/opt/meandmyshadow/data/sfx/music.mid

	#icon
	install -d ${CURDIR}/debian/meandmyshadow/usr/share/icons/hicolor/64x64/hildon
	install ${CURDIR}/meandmyshadow.xpm     ${CURDIR}/debian/meandmyshadow/usr/share/icons/hicolor/64x64/hildon

	#menu
	install -d ${CURDIR}/debian/meandmyshadow/usr/share/applications/hildon
	install ${CURDIR}/meandmyshadow.desktop ${CURDIR}/debian/meandmyshadow/usr/share/applications/hildon

	#start-script
	install -d ${CURDIR}/debian/meandmyshadow/usr/bin
	install ${CURDIR}/meandmyshadow.sh ${CURDIR}/debian/meandmyshadow/usr/bin




# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
