## meandmyshadow 0.2-maemo3

=== debian/changelog ===
meandmyshadow (0.2-maemo3) stable; urgency=low

  * Start music before menu

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 Jan 2012 11:07:38 +0200
