## meandmyshadow 0.2-maemo4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Find_Package(SDL REQUIRED)
 Find_Package(SDL_ttf REQUIRED)
 Find_Package(SDL_image REQUIRED)
-#Find_Package(SDL_mixer REQUIRED)
+Find_Package(SDL_mixer REQUIRED)
 Find_Package(SDL_gfx REQUIRED)
 Find_Package(CURL REQUIRED)
 Find_Package(LibArchive REQUIRED)
 
 INCLUDE_DIRECTORIES(${SDL_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${SDLIMAGE_INCLUDE_DIR})
-#INCLUDE_DIRECTORIES(${SDLMIXER_INCLUDE_DIR})
+INCLUDE_DIRECTORIES(${SDLMIXER_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${SDLTTF_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${SDLGFX_INCLUDE_DIR})
 INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIR})
@@ -26,9 +26,9 @@
     message(FATAL_ERROR "SDL_ttf not found !")
 endif ( NOT SDLTTF_FOUND )
 
-#if ( NOT SDLMIXER_FOUND )
-#    message(FATAL_ERROR "SDL_mixer not found !")
-#endif ( NOT SDLMIXER_FOUND )
+if ( NOT SDLMIXER_FOUND )
+    message(FATAL_ERROR "SDL_mixer not found !")
+endif ( NOT SDLMIXER_FOUND )
 
 if ( NOT SDLGFX_FOUND )
     message(FATAL_ERROR "SDL_gfx not found !")
@@ -55,26 +55,28 @@
 	${PROJECT_BINARY_DIR}
 	${SDL_INCLUDE_DIR}
 	${SDLTTF_INCLUDE_DIR}
-#	${SDLMIXER_INCLUDE_DIR}
+	${SDLMIXER_INCLUDE_DIR}
 	${SDLIMAGE_INCLUDE_DIR}
 	${SDLGFX_INCLUDE_DIR}
 )
 
 
 
-SET(CMAKE_CXX_FLAGS "-Wall -g -DMAEMO5 -DBUNDLE_MIXER")
+SET(CMAKE_CXX_FLAGS "-Wall -g -DMAEMO5 ")
+#SET(CMAKE_CXX_FLAGS "-Wall -g -DMAEMO5 -DBUNDLE_MIXER")
 
 # Déclaration de l'exécutable
 file(GLOB Sources ${SRC_DIR}/*.cpp)
-file(GLOB mixer_objects lib/*.o) 
-add_executable(meandmyshadow ${Sources} ${mixer_objects})
+#file(GLOB mixer_objects lib/*.o) 
+#add_executable(meandmyshadow ${Sources} ${mixer_objects})
+add_executable(meandmyshadow ${Sources} )
 
 target_link_libraries(
     meandmyshadow
     ${SDL_LIBRARY}
 	${SDLTTF_LIBRARY}
 	${SDLIMAGE_LIBRARY}
-#	${SDLMIXER_LIBRARY}
+	${SDLMIXER_LIBRARY}
 	${SDLGFX_LIBRARY}
     ${CURL_LIBRARY}
     ${LibArchive_LIBRARY}
