=== debian/changelog ===
meandmyshadow (0.2-maemo4) stable; urgency=low

  * Use external SDL-mixer.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 22 Jan 2012 23:22:38 +0200
