=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: user/games
 Priority: optional
 Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 4.1.16), cmake, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-gfx1.2-dev, libcurl4-openssl-dev | libcurl4-gnutls-dev, libarchive-dev, libvorbis-dev
+Build-Depends: debhelper (>= 4.1.16), cmake, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-gfx1.2-dev, libcurl4-openssl-dev | libcurl4-gnutls-dev, libarchive-dev, libvorbis-dev, libsdl-mixer1.2-dev (>= 1.2.6-5+0m5+ogg+mp3-2)
 Standards-Version: 3.8.1
 Homepage: http://meandmyshadow.sourceforge.net/wiki/index.php/Main_Page
 
 Package: meandmyshadow
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, libsdl-mixer1.2 (>= 1.2.6-5+0m5+ogg+mp3-2)
 Description: Me and My Shadow is a puzzle/platform 
  It has an interesting concept and rather unique gameplay.
 XSBC-Bugtracker: https://sourceforge.net/apps/trac/meandmyshadow/
