=== debian/rules ===
--- 
+++ 
@@ -34,29 +34,6 @@
 	#SDL-mixer
 	mkdir lib
 	mkdir lib/SDL
-	cd libsdl-mixer1.2-1.2.6 ; ./configure \
-  --enable-music-cmd=no\
-  --enable-music-wave=no\
-  --enable-music-libmikmod=no\
-  --enable-music-mod=no\
-  --enable-music-midi=no\
-  --enable-music-timidity-midi=no\
-  --enable-music-native-midi=no\
-  --enable-music-native-midi-gpl=no\
-  --enable-music-ogg=yes\
-  --enable-music-mp3=no ; make ; cp effect_position.o \
-  effects_internal.o  \
-  load_ogg.o \
-  mixer.o  \
-  music_cmd.o  \
-  wavestream.o \
-  effect_stereoreverse.o \
-  load_aiff.o \
-  load_voc.o \
-  music.o  \
-  music_ogg.o  ../lib
-	cp libsdl-mixer1.2-1.2.6/SDL_mixer.h lib/SDL
-
 
 
 	mkdir build
