## meandmyshadow 0.2-maemo6

=== debian/changelog ===
meandmyshadow (0.2-maemo6) stable; urgency=low

  * Fix2: Use external SDL-mixer.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 22 Jan 2012 23:42:38 +0200

meandmyshadow (0.2-maemo5) stable; urgency=low

  * Fix: Use external SDL-mixer.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 22 Jan 2012 23:38:38 +0200
