=== debian/changelog ===
meandmyshadow (0.5a-1) groovy; urgency=medium

  * First packaging, from github head

 -- Chris <dpkg@chris-nz.com>  Sat, 17 Apr 2021 03:48:48 +1200
