=== debian/control ===
Source: meandmyshadow
Section: games
Priority: optional
Maintainer: Chris <dpkg@chris-nz.com>
Build-Depends: debhelper-compat (= 12),
            cmake,
            libarchive-dev,
            libcurl4-openssl-dev,
            libfreetype-dev,
            liblua5.3-dev,
            libsdl2-dev,
            libsdl2-image-dev,
            libsdl2-mixer-dev
Standards-Version: 4.4.1
Homepage: https://github.com/acmepjz/meandmyshadow

Package: meandmyshadow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Puzzle/Platform game about replaying movements
 Try to reach the exit by solving puzzles. Spikes, moving blocks,
 fragile blocks and much more stand between you and the exit.
 Record your moves and let your shadow mimic them to reach
 blocks you couldn't reach alone.
