=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_CXXFLAGS_MAINT_APPEND = -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	rm data/font/DejaVuSansCondensed-Oblique.ttf
	rm data/font/DejaVuSansCondensed.ttf
	rm data/font/DejaVuSansMono.ttf
	rm data/font/DroidSansFallback.ttf
	ln -s /usr/share/fonts/truetype/dejavu/DejaVuSansCondensed-Oblique.ttf data/font/DejaVuSansCondensed-Oblique.ttf
	ln -s /usr/share/fonts/truetype/dejavu/DejaVuSansCondensed.ttf data/font/DejaVuSansCondensed.ttf
	ln -s /usr/share/fonts/truetype/dejavu/DejaVuSansMono.ttf data/font/DejaVuSansMono.ttf
	ln -s /usr/share/fonts-droid-fallback/truetype/DroidSansFallback.ttf data/font/DroidSansFallback.ttf
	dh_auto_configure -- -DBINDIR=/usr/games
